#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

#  
# 09N6996
#

SMHADM_CLASS=com.ibm.vmi.ha.Daemon
SM_JAVA=/opt/ibm/director/jre/bin/java

sshPath=`find /opt/ibm/director/lwi/runtime/USMi*/eclipse/plugins/com\.ibm\.net\.ssh* -name *ssh*\.jar | sort -r | head -n 1 -`
SM_CLASSPATH=${sshPath}
    
remoteaccessPath=`find /opt/ibm/director/lwi/runtime/USMi*/eclipse/plugins/com\.ibm\.tivoli\.remoteaccess* -name *remoteaccess*.jar | sort -r | head -n 1 -`
SM_CLASSPATH=$SM_CLASSPATH:${remoteaccessPath}

base64path=`find /opt/ibm/director/lwi/runtime/core/eclipse/plugins/ -name org\.apache\.commons\.codec_*\.jar | sort -r | head -n 1 -`
SM_CLASSPATH=$SM_CLASSPATH:${base64path}

commonsLoggingPath=`find /opt/ibm/director/lwi/runtime/core/eclipse/plugins/ -name org\.apache\.commons\.logging_*\.jar | sort -r | head -n 1 -`
SM_CLASSPATH=$SM_CLASSPATH:${commonsLoggingPath}
        
cmdAPIPath=`find /opt/ibm/director/lwi/runtime/ApplianceMgmt/eclipse/plugins/com\.ibm\.vmi\.cmdapi\.util* -name CmdAPI.jar | sort -r | head -n 1 -`
SM_CLASSPATH=$SM_CLASSPATH:${cmdAPIPath}
    
jsonPath=`find /opt/ibm/director/lwi/runtime/rest/eclipse/plugins/ -name *wink-json4j*\.jar | sort -r | head -n 1 -`
SM_CLASSPATH=$SM_CLASSPATH:${jsonPath}

activeMQPath=`find /opt/ibm/director/lwi/runtime/messaging/eclipse/plugins/org.apache.activemq_* -name *activemq-all*\.jar | sort -r | head -n 1 -`
SM_CLASSPATH=$SM_CLASSPATH:${activeMQPath}

SM_CLASSPATH=$SM_CLASSPATH:/opt/ibm/director/ha/lib/classes
SM_CLASSPATH=$SM_CLASSPATH:/opt/ibm/director/ha/lib/smhadm.jar

userMgmtPath=`find /opt/ibm/director/lwi/runtime/ApplianceMgmt/eclipse/plugins/com.ibm.isdvmi.usermgmt.service_* -name *vmiusermgmtservice*\.jar | sort -r | head -n 1 -`
SM_CLASSPATH=$SM_CLASSPATH:${userMgmtPath}

SM_LOGGING=-Djava.util.logging.config.file=/opt/ibm/director/ha/logs/daemon_logging.properties
 

#DEBUG_ARGS="-Dsmhawait=60000 -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,address=8000,suspend=n"
#VERBOSE="-verbose:class"

# Start the daemon
export CLASSPATH=$SM_CLASSPATH
$SM_JAVA $VERBOSE $DEBUG_ARGS $SM_LOGGING $SMHADM_CLASS $*
