#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

# 
# 09N6996

DIRECTOR_PATH=/opt/ibm/director
MQ_PATH=`find -O1 /opt/ibm/director/lwi/runtime/messaging/eclipse/plugins/* -name org\.apache\.activemq_* | sort -r | head -n 1 -`
MQ_LIB_PATH=$MQ_PATH/lib
SMHADM_PATH=$DIRECTOR_PATH/ha/lib/smhadm.jar
DEBUG=

SM_CLASSPATH=$MQ_PATH/activemq-all-5.4.2.jar
SM_CLASSPATH=$SM_CLASSPATH:$MQ_LIB_PATH/activemq-web-5.4.2.jar
SM_CLASSPATH=$SM_CLASSPATH:$MQ_LIB_PATH/org.springframework.beans-3.0.3.RELEASE.jar
SM_CLASSPATH=$SM_CLASSPATH:$MQ_LIB_PATH/org.springframework.core-3.0.3.RELEASE.jar
SM_CLASSPATH=$SM_CLASSPATH:$MQ_LIB_PATH/jetty-util-6.1.9.jar
SM_CLASSPATH=$SM_CLASSPATH:$MQ_LIB_PATH/org.springframework.context-3.0.3.RELEASE.jar

commonsLoggingPath=`find /opt/ibm/director/lwi/runtime/core/eclipse/plugins/ -name org\.apache\.commons\.logging_*\.jar | sort -r | head -n 1 -`
SM_CLASSPATH=$SM_CLASSPATH:${commonsLoggingPath}

SM_CLASSPATH=$SM_CLASSPATH:$SMHADM_PATH
SM_LOGGING=-Djava.util.logging.config.file=/opt/ibm/director/ha/logs/mq_logging.properties

if [ -e /opt/ibm/director/ha/conf/mqdebug ]; then
  DEBUG="--debug"
fi

export JAVA_HOME=$DIRECTOR_PATH/jre
export CLASSPATH=$SM_CLASSPATH

$JAVA_HOME/bin/java $SM_LOGGING com.ibm.vmi.ha.mq.MQBroker $DEBUG
