#!/usr/bin/perl -w
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

use XML::Simple;
use Data::Dumper;
package lib::Permission;

sub hasExecutePermission {
  my $ret = 1;
	my ($execute)	=	@_;
	my $USER=`/usr/bin/whoami`;
	my $id=	`/opt/ibm/director/vmi/bin/execWithPrivilege getUserGroup $USER`;
	chomp($id);
	my @groups = split(/ /,$id);
	if(defined $execute){
			my $file = '/opt/ibm/director/vmi/data/conf/role_permission.xml';
			my $xs1	=	XML::Simple->new();
			
			my $doc	=	$xs1->XMLin($file,ForceArray =>	1,KeyAttr	=> {});
			
			foreach	my $group	(@{groups}){
				foreach	my $role (@{$doc->{role}}) {
					my $name = $role->{name}->[0];
					if($name eq "all"){
						foreach	my $command	(@{$role->{permission}}){
							my $commandId	=	$command->{id};
							if($commandId	eq $execute){
								$ret = 0;
								last;
							}
						}
						next;
					}
					if($name eq	$group){
						foreach	my $command	(@{$role->{permission}}){
							my $commandId	=	$command->{id};
							if($commandId	eq $execute){
								$ret = 0;
								last;
							}
						}
					}
					if($ret	== 0){
						last;
					}
				}
				if($ret ==	0){
						last;
				}
			}
	}
	
	return $ret;
}
1;
